Welcome to PhantomPilots.com

Sign up for a weekly email of the latest drone news & information

P3 Firmware Can't connect iPhone to DJI Go app, and more

Discussion in 'Firmware' started by ImJim, Jul 27, 2016.

  1. ImJim

    Joined:
    Jul 8, 2015
    Messages:
    184
    Likes Received:
    35
    Hi,

    It's been one year since I haven't flied my P3A, and today I decided to test it before going on vacation. I tried to connect my iPhone 6S (iOS 9.3.2) to the controller with the same Apple cable I've always used, and nothing worked. The DJI Go app didn't detect my phone. (or.. my phone didn't detect the controller for some reason...)

    I thought it would be good to update my P3A, thinking it would fix the problem. I think the update failed too. The .txt file showed "abort" four times and "success" once. Now I'm completely lost. The controller and iPhone can't recognize each other, I don't know my Phantom 3 current version, and I don't even know if it actually updated successfully or not. (I since deleted the text file, as I tried to downgrade to v1.7)

    What can I do now? How can I get a "clean"" and working firmware, be able to connect my phone to this **** controller and fly that bird?? :(

    Thanks in advance.

    EDIT: just tried to "re-update" the P3A to latest version. Here's the text file:

    Packet: P3S_FW_V01.04.0010.bin
    Result: Abort.
    The firmware on the SD card is identical to or older than the current firmware on the aircraft.

    ========== 2014.01.01 00:00:11 remo-con disconnect======
    Packet: P3S_FW_V01.04.0010.bin
    Result: Abort.
    The firmware on the SD card is identical to or older than the current firmware on the aircraft.

    ========== 2014.01.01 00:00:12 remo-con disconnect======
    Packet: P3S_FW_V01.09.0060.bin
    Upgrading ...
    Result: Success.

    ========== 2014.01.01 00:00:12 remo-con disconnect======
    Packet: P3S_FW_V01.09.0060.bin
    Result: Abort.
    The firmware on the SD card is identical to or older than the current firmware on the aircraft.

    ========== 2016.07.27 20:35:47 =====================
    Packet: P3S_FW_V01.09.0060.bin
    Result: Abort.
    The firmware on the SD card is identical to or older than the current firmware on the aircraft.

    ========== 2014.01.01 00:00:13 remo-con disconnect======
    Packet: P3S_FW_V01.07.0060.bin
    Result: Abort.
    The current firmware does not support downgrade. Use a different version of firmware to downgrade the target version.

    ========== 2014.01.01 00:00:13 remo-con disconnect======
    Packet: P3S_FW_V01.09.0060.bin
    Upgrading ...
    Result: Success.
     
    #1 ImJim, Jul 27, 2016
    Last edited: Jul 27, 2016